Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-07-06 06:44:03 +0400
committerJunio C Hamano <junkio@cox.net>2006-07-06 06:44:03 +0400
commitac83aa2e1fffcb4e7560431ddc15b288dc237634 (patch)
tree04260e7de0a88df848b005663a7f5aa38610a6ef /git-reset.sh
parentbc483d04804888c2da64e4c6685c2860a9041122 (diff)
git-reset: complain and exit upon seeing an unknown parameter.
The check to use "rev-parse --verify" was defeated by the use of "--default HEAD". "git reset --hard bogus-committish" just defaulted to reset to the HEAD without complaining. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-reset.sh')
-rwxr-xr-xgit-reset.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/git-reset.sh b/git-reset.sh
index 46451d0d64..5c0224090a 100755
--- a/git-reset.sh
+++ b/git-reset.sh
@@ -17,7 +17,11 @@ case "$1" in
usage ;;
esac
-rev=$(git-rev-parse --verify --default HEAD "$@") || exit
+case $# in
+0) rev=HEAD ;;
+1) rev=$(git-rev-parse --verify "$1") || exit ;;
+*) usage ;;
+esac
rev=$(git-rev-parse --verify $rev^0) || exit
# We need to remember the set of paths that _could_ be left